AnsweredAssumed Answered

ERROR: initscripts-1.0-r155 do_package_qa: QA Issue: initscripts rdepends on genavb-dev [dev-deps]

Question asked by Surendranath Ponguru on Jul 10, 2017

WARNING: /home/user1/fsl-arm-yocto-bsp_nxp/sources/meta-fsl-bsp-release/imx/meta-bsp/recipes-kernel/linux/linux-imx_4.1.15.bb.do_compile is tainted from a forced run
WARNING: /home/user1/fsl-arm-yocto-bsp_nxp/sources/meta-fsl-bsp-release/imx/meta-bsp/recipes-bsp/u-boot/u-boot-imx_2016.03.bb.do_compile is tainted from a forced run
NOTE: Executing SetScene Tasks
NOTE: Executing RunQueue Tasks
WARNING: initscripts-1.0-r155 do_package_qa: QA Issue: initscripts rdepends on libgstapp-1.0, but it isn't a build dependency, missing gstreamer1.0-plugins-base in DEPENDS or PACKAGECONFIG? [build-deps]
WARNING: initscripts-1.0-r155 do_package_qa: QA Issue: initscripts rdepends on gstreamer1.0, but it isn't a build dependency, missing gstreamer1.0 in DEPENDS or PACKAGECONFIG? [build-deps]
WARNING: initscripts-1.0-r155 do_package_qa: QA Issue: initscripts rdepends on dbus-lib, but it isn't a build dependency, missing dbus in DEPENDS or PACKAGECONFIG? [build-deps]
WARNING: initscripts-1.0-r155 do_package_qa: QA Issue: initscripts rdepends on glib-2.0, but it isn't a build dependency, missing glib-2.0 in DEPENDS or PACKAGECONFIG? [build-deps]
WARNING: initscripts-1.0-r155 do_package_qa: QA Issue: initscripts rdepends on libffi, but it isn't a build dependency, missing libffi in DEPENDS or PACKAGECONFIG? [build-deps]
ERROR: initscripts-1.0-r155 do_package_qa: QA Issue: initscripts rdepends on genavb-dev [dev-deps]
WARNING: initscripts-1.0-r155 do_package_qa: QA Issue: initscripts rdepends on genavb-dev, but it isn't a build dependency, missing genavb in DEPENDS or PACKAGECONFIG? [build-deps]
WARNING: initscripts-1.0-r155 do_package_qa: QA Issue: initscripts rdepends on readline, but it isn't a build dependency, missing readline in DEPENDS or PACKAGECONFIG? [build-deps]
WARNING: initscripts-1.0-r155 do_package_qa: QA Issue: initscripts rdepends on libpcre, but it isn't a build dependency, missing libpcre in DEPENDS or PACKAGECONFIG? [build-deps]
ERROR: initscripts-1.0-r155 do_package_qa: QA run found fatal errors. Please consider fixing them.
ERROR: initscripts-1.0-r155 do_package_qa: Function failed: do_package_qa
ERROR: Logfile of failure stored in: /home/user1/fsl-arm-yocto-bsp_nxp/bld-agl/tmp/work/imx6qsabreauto-poky-linux-gnueabi/initscripts/1.0-r155/temp/log.do_package_qa.29075
ERROR: Task 1431 (/home/user1/fsl-arm-yocto-bsp_nxp/sources/poky/meta/recipes-core/initscripts/initscripts_1.0.bb, do_package_qa) failed with exit code '1'

 

 

Please help me with this error.

Outcomes